datablock fxLightData(CapitalHeadLight)
{
	radius = 45;
	brightness = 3;
	color = "1 0.925 0.85 1";
	flareOn = false;
};

package scriptedHeadlightsPackage
{
	function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()) && %pl.getMountNode() == 0)
		{
			if(%veh.dataBlock.hasScriptedHeadlights)
			{
				%veh.dataBlock.headlights(%veh, "next");
				return; //do not have player's light turn on
			}
		}
		parent::serverCmdLight(%client);
	}
};
activatePackage(scriptedHeadlightsPackage);

package turnSignalsShiftBrick
{
	function serverCmdShiftBrick(%client, %x, %y, %z)	//Brick shift controls
	{
		if(isObject(%pl = %client.player) && isObject(%veh = %pl.getObjectMount()))	//Player & mounted vehicle exist
		{
			%data = %veh.getDataBlock();
			if(%data.hasTurnSignals && %pl.getMountNode() == 0)	//Driver of a vehicle with these turn signals
			{
				if(%y == 1)							//Shift brick left
				{
					if(%veh.signal == -1)
						return %data.turnSignal(%veh, 0);
					else if(%veh.signal == 0)
						return %data.turnSignal(%veh, -1);
					else
					{
						%data.turnSignal(%veh, 0);
						%data.turnSignal(%veh, -1);
						return;
					}
				}
					
				else if(%y == -1)					//Shift brick right
				{
					if(%veh.signal == 1)
						return %data.turnSignal(%veh, 0);
					else if(%veh.signal == 0)
						return %data.turnSignal(%veh, 1);
					else
					{
						%data.turnSignal(%veh, 0);
						%data.turnSignal(%veh, 1);
						return;
					}
				}
			}
		}
		parent::serverCmdShiftBrick(%client, %x, %y, %z);
	}
};
activatePackage(turnSignalsShiftBrick);