datablock PlayerData(EmptyArmor)
{
    shapeFile = "base/data/shapes/empty.dts";
    invincible = true;
    splashEmitter[0] = PlayerFoamDropletsEmitter;
    splashEmitter[1] = PlayerFoamEmitter;
    splashEmitter[2] = PlayerBubbleEmitter;
};

function AIPlayer::setMountedLight(%this, %data)
{
    if (isObject(%this.mountedLight))
        %this.mountedLight.delete();

    if (isObject(%data))
    {
        %this.mountedLight = new fxLight()
        {
            datablock = %data;
            position = %this.position;
        };

        MissionCleanup.add(%this.mountedLight);
        %this.mountedLight.attachToObject(%this);
    }
}

function WheeledVehicle::spawnMountedLightBot(%this, %slot)
{
    %player = new AIPlayer()
    {
        datablock = EmptyArmor;
        position = %this.position;
    };

    MissionCleanup.add(%player);

    %this.mountedLightBot[%slot] = %player;
    %this.mountObject(%player, %slot);
}

function WheeledVehicle::removeMountedLightBot(%this, %slot)
{
    %player = %this.mountedLightBot[%slot];

    if (isObject(%player))
    {
        if (isObject(%player.mountedLight))
            %player.mountedLight.delete();

        %player.delete();
    }
}