//Vehicle Edit Helper has the easily-typed acronym /veh
//All this script does is attempt to run vehicledatablock::VehicleEditHelper on a vehicle you're facing.
//What VehicleEditHelper actually DOES to the vehicle is entirely dependent on the vehicle's own script.
//The raycasting / vehicle detecting stuff below could be easily contained in vehicle-specific scripts, but...
//...I want the command to remain universal, so that there isn't lots of parenting happening for serverCmdVeh.
//	Teneksi


//If we've already executed this version of the script, don't do it again.
if ($Server::VehicleEditHelperVersion >= 2)
   //return;

$Server::VehicleEditHelperVersion = 2;	//Assign current version so that the stuff below doesn't run twice.



function serverCmdVeh(%c, %arg1, %arg2, %arg3)
{
	if(!isObject(%p=%c.player))
	{
		%c.chatMessage("\c6You need to spawn before using this command.");
	}
	if(!isObject(%veh = %p.getObjectMount()))	//If the player is mounted to something, assign that as %veh
	{									//However, if we didn't find an object by doing that...
		%start = %p.getEyePoint();		//...we need to look in front of the player in search of a vehhicle
		%ray = containerRaycast(%start,vectorAdd(%start,vectorScale(%p.getEyeVector(),10)),($TypeMasks::VehicleObjectType),%p);
		%veh = firstWord(%ray);		//reassign %veh based on what we find
	}
	if(isObject(%veh) && %veh.dataBlock.usesVehicleEditHelper)		//Is it a vehicle, and does it have our variable?
	{	//We have a vehicle with the variable! So, let's call the command we can safely assume it has.
		%veh.dataBlock.VehicleEditHelper(%veh, %c, %arg1, %arg2, %arg3);
	}
	else if(isObject(%veh) && %veh.dataBlock.isCustom)
	{
		%c.chatMessage("\c6The vehicle you're viewing uses \c4/garage \c6from Custom Vehicle Support.");
	}
	else
	{
		%c.chatMessage("\c6You don't seem to be looking at a vehicle that uses \c4/veh\c6.");
	}
}

package VehicleEditHelperReminder
{
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);
		
		if (%col.getDatablock().usesVehicleEditHelper && %obj.getMountNode() == 0 && isObject(%c = %obj.client) && !%c.seenVehMessage)
		{
			%c.seenVehMessage = 1;
			%c.chatMessage("\c6Use the \c4/garage \c6command to access special options for this vehicle.");
		}
	}
};
activatePackage(VehicleEditHelperReminder);