package CapitalPackage
{
	function CapitalVehicle::onAdd(%data, %veh)
	{
		Parent::onAdd(%data, %veh);
		
		%veh.spawnMountedLightBot(4);
		
		%veh.setWheelPowered(2, 0);
		%veh.setWheelPowered(3, 0);

		%veh.hideNode(body_coupe);
		%veh.hideNode(body_coupeN);
		%veh.hideNode(trim_coupe);
		%veh.hideNode(trim_XC10);
		%veh.hideNode(trim_XC10N);

		%veh.hidenode(lights_white_1);
		%veh.hidenode(lights_amberL_1);
		%veh.hidenode(lights_amberR_1);
		%veh.hidenode(lights_brake_1);
		%veh.hidenode(lights_reverse_1);
	}
};
activatepackage(CapitalPackage);

package onDriverEnterPackage
{
	function armor::onMount(%this, %obj, %vehicle, %node)
	{
		Parent::onMount(%this, %obj, %vehicle, %node);
		
		if(%node == 0 && isObject(%vehicle) && isFunction(%vehicle.dataBlock, onDriverEnter))
			%vehicle.dataBlock.onDriverEnter(%vehicle, %obj);
	}

};
activatePackage(onDriverEnterPackage);

function CapitalVehicle::onDriverEnter(%data, %veh)
{	
	//onDriverEnter and onDriverLeave both are called many times (up to 14) for some reason.
	//The hasDriver variable makes it so these things are done only one time each.
	if(!%veh.hasDriver)
	{
		%veh.hasDriver = 1;
		
		%data.headlights(%veh, "restore");
		
		%data.SpeedCheck(%veh);
	}
}

function CapitalVehicle::onDriverLeave(%data, %veh)
{		
	if(%veh.hasDriver)
	{
		%veh.hasDriver = 0;

		%veh.braking = 0;
		%veh.unhidenode(lights_brake_0);
		%veh.hidenode(lights_brake_1);
		
		%veh.reversing = 0;
		%veh.unhidenode(lights_reverse_0);
		%veh.hidenode(lights_reverse_1);

		cancel(%veh.SpeedCheckSchedule);
		%data.turnSignal(%veh, 0);
		%data.headlights(%veh, "off");
	}
}

function CapitalVehicle::onRemove(%data, %veh)
{
	%veh.removeMountedLightBot(4);
}

function CapitalVehicle::SpeedCheck(%data, %veh)
{
	if(isEventPending(%veh.SpeedCheckSchedule)) return;
	if(!isObject(%veh)) return;
	
	%veh.speed = vectorDot(%veh.getVelocity(), %veh.getForwardVector());
	
	if(!%veh.reversing && %veh.speed <= -3)
	{
		%veh.hidenode(lights_reverse_0);
		%veh.unhidenode(lights_reverse_1);
		%veh.reversing = 1;
	}
	else if(%veh.reversing && %veh.speed > -0.1)
	{
		%veh.unhidenode(lights_reverse_0);
		%veh.hidenode(lights_reverse_1);
		%veh.reversing = 0;
	}
	
	%veh.SpeedCheckSchedule = %data.schedule(111, "SpeedCheck", %veh);
}