package CapitalPoliceVehicleOnTrigger
{
    function armor::onTrigger(%db, %obj, %slot, %val)
    {
        //SLOT VALUES:
        //0: Left click        (Recognized by a vehicle)
        //1: ???
        //2: Jump            (only recognized while a passenger)
        //3: Crouch            (only recognized while a passenger)
        //4: Right click    (Seems to be recognized in a vehicle, but is for unmount)
        //
        //Val = 1   Activate
        //Val = 0   Release
        
        
        //Player has left-clicked, is mounted, and has no tool
        if(%obj.getClassName()$="Player" && %slot == 0 && %obj.isMounted() && %obj.currTool == -1)
        {
            //If mounted object is a CapitalPoliceVehicle, and the player is the driver
            %veh = %obj.getObjectMount();
            if(%veh.GetDatablock().getName() $= "CapitalPoliceVehicle" && %obj.getMountNode() == 0)
            {
                if(%val)    //Start of click
                {
                    %veh.honking=1;
                    %veh.playAudio(2, CapitalPoliceHorn);
                }
                else        //Release
                {
					%veh.stopAudio(2);
                    %veh.honking=0;
                }
            }
        }
        
        return Parent::onTrigger(%db,%obj,%slot,%val);
    }
};
activatePackage(CapitalPoliceVehicleOnTrigger);