datablock fxLightData(CapitalPoliceLight)
{
	uiName = "";
	LightOn = 1;
	radius = 75;
	brightness = 2;
	color = "1 1 1";
	FlareOn			= 0;
	AnimBrightness	= 0;
	AnimColor		= 1;
	AnimOffsets		= 0;
	AnimRotation	= 0;
	AnimRadius		= 0;
	MinColor		= "0 0 0";
	MaxColor		= "1 1 1";
	//MinBrightness	= 0.25;
	//MaxBrightness	= 1.0;
	//MinRadius		= 50;
	//MaxRadius		= 50;
	//StartOffset		= "-5 0 0";
	//EndOffset		= "5 0 0";
	//MinRotation		= 0;
	//MaxRotation		= 359;
	SingleColorKeys	= 0;
	RedKeys			= "ZMZFFAAZ";
	GreenKeys		= "BAALELEB";
	BlueKeys		= "FAAZMZMF";
	//BrightnessKeys	= "AAAAAAAA";
	//RadiusKeys		= "AZAZAZA";
	//OffsetKeys		= "AAAAAAA";
	//RotationKeys	= "AAAAAAA";
	ColorTime		= 1;
	//BrightnessTime	= 1;
	//RadiusTime		= 0.5;
	//OffsetTime		= 1.0;
	//RotationTime	= 1.0;
	LerpColor		= 1;
	//LerpBrightness	= 1;
	//LerpRadius		= 1;
	//LerpOffset		= 0;
	//LerpRotation	= 0;
};

function CapitalPoliceVehicle::onTrigger(%this, %veh, %slot, %val)	//Braking
{
	if(%val)
	{	//brake on
		%veh.braking = 1;

		%veh.hidenode(lights_brake_0);
		%veh.unhidenode(lights_brake_1);
	}
	else
	{	//brake off
		%veh.braking = 0;

		%veh.unhidenode(lights_brake_0);
		%veh.hidenode(lights_brake_1);
	}
}

function CapitalPoliceVehicle::headlights(%this, %veh, %directive, %selection)
{
	switch$(%directive)
	{
		case "next":
		%setlights = %veh.headlightState + 1;
		%veh.headlightState = %veh.headlightState + 1;
		
		case "restore":
		%setlights = %veh.headlightState;
		
		case "select":
		%setlights = %selection;
		%veh.headlightState = %selection;
		
		case "off":
		%setlights = 0;
	}
	
	if(%setlights > 2)
	{
		%setlights = 0;
		%veh.headlightState = 0;
	}
	
	switch(%setlights)
	{
		case 0:		//Headlights off
			%veh.mountedLightBot[4].setMountedLight(none);
			%veh.unhidenode(lights_white_0);
			%veh.unhidenode(lights_amberL_0);
			%veh.unhidenode(lights_amberR_0);

			%veh.hidenode(lights_white_1);
			%veh.hidenode(lights_amberL_1);
			%veh.hidenode(lights_amberR_1);
		
		case 1:		//Daytime-running lights
			%veh.unhidenode(lights_white_1);
			%veh.unhidenode(lights_amberL_1);
			%veh.unhidenode(lights_amberR_1);

			%veh.hidenode(lights_white_0);
			%veh.hidenode(lights_amberL_0);
			%veh.hidenode(lights_amberR_0);
		
		case 2:		//Full lights including light source
			%veh.mountedLightBot[4].setMountedLight(CapitalHeadLight);
			
			%veh.hidenode(lights_white_0);
			%veh.hidenode(lights_amberL_0);
			%veh.hidenode(lights_amberR_0);

			%veh.unhidenode(lights_white_1);
			%veh.unhidenode(lights_amberL_1);
			%veh.unhidenode(lights_amberR_1);
	}
}


/////////////////////////////////////////////////////////////////////////////////

function CapitalPoliceVehicle::turnSignal(%this, %veh, %direction)
{
	if (!isObject(%veh)) return;
	//announce("turnSignal with direction " @ %direction @ " and signalMinor " @ %veh.signalMinor);

	%veh.signal = %direction;	//Other functions must know which direction is being used

	if(%direction == 0)	//0 is a signal to turn off
	{	//TURN OFF SIGNAL
		cancel(%veh.turnSignalSchedule);
		%veh.signalMinor = 0;	//this means lights will begin on "turn on" cycle when next used

		if(%veh.headlightState == 0)
		{
			%veh.unhideNode(lights_amberR_0);
			%veh.unhideNode(lights_amberL_0);
			%veh.hideNode(lights_amberR_1);
			%veh.hideNode(lights_amberL_1);
		}
		else
		{
			%veh.hideNode(lights_amberR_0);
			%veh.hideNode(lights_amberL_0);
			%veh.unhideNode(lights_amberR_1);
			%veh.unhideNode(lights_amberL_1);
		}
		return;
	}	//END OF TURN OFF SIGNAL

	if(%veh.signalMinor == 0)	//If the signal lights were off before this moment. Turn on
	{
		%veh.signalMinor = 1;	//Switch so that the schedule uses the section below
		if(%direction == 1)		//Right side turn on
		{
			%veh.hideNode(lights_amberR_0);
			%veh.unhideNode(lights_amberR_1);
		}
		else					//Left side turn on
		{
			%veh.hideNode(lights_amberL_0);
			%veh.unhideNode(lights_amberL_1);
		}
	}
	else	//Signal lights were on before this instant. Turn off
	{
		%veh.signalMinor = 0;	//Switch so that the schedule uses the section above
		if(%direction == 1)		//Right side turn off
		{
			%veh.unhideNode(lights_amberR_0);
			%veh.hideNode(lights_amberR_1);
		}
		else					//Left side turn off
		{
			%veh.unhideNode(lights_amberL_0);
			%veh.hideNode(lights_amberL_1);
		}
	}
		
	return %veh.turnSignalSchedule = %this.schedule(333, turnSignal, %veh, %direction);
}